package de.renew.formalism.function;

import de.renew.expression.Function;

/**
 * A function that returns its input unchanged.
 */
public final class Identity implements Function {
    /**
     * A shared instance of the identity function.
     */
    public static final Function FUN = new Identity();

    private Identity() {}

    @Override
    public Object function(Object arg) {
        return arg;
    }
}